#ifndef __LIBIPMI_USER_MANAGEMENT_H__
#define __LIBIPMI_USER_MANAGEMENT_H__

#include "com_IPMIDefs.h"
#include "libipmi_struct.h"
#include "com_BmcType.h"

#pragma pack(1)

typedef struct {
	uint8_t		byUserID;
	char		szUserName[MAX_USERNAME_LEN];
} SetUser_T;

typedef struct {
	uint8_t		byCompletionCode;
	char		szUserName[MAX_USERNAME_LEN];
} GetUser_T;

#pragma pack()

uint16_t LIBIPMI_GetAllUserInfo( IPMI20_UDS_SESSION_T *pUDSSession, UserInfo_T *userInfoTbl, int timeout );
uint8_t LIBIPMI_AuthorVerify( IPMI20_UDS_SESSION_T *pUDSSession, char *username, char *password, int timeout );
uint16_t LIBIPMI_SetPassword( IPMI20_UDS_SESSION_T *pUDSSession, uint8_t userid, char *password, int timeout );

#endif

